<?php
checkLogin('usr');
$p = new Page('Home');
$p->addMenu('logged');
$p->addModuleCss('style');
$p->printHeader();
?>
<h3 class="p-title"><small>Benvenuto</small> <?php echo $_SESSION['user']['nome'];?></h3>
<div class="panel panel-default">
	<div class="panel-body" style="min-height:150px">
    	<h4 class="text-center">Scegli uno dei servizi che l'ente ha messo a tua disposizione</h4><br />
		<?php
        $ente_servizi = get_ente_servizi();
        if(count($ente_servizi) > 0){
            
            foreach($ente_servizi as $serv_id => $v){
				$s[$v['serv_name']] = $serv_id;
                $row .= '<div class="col-sm-4 m-top-bottom-5"><a href="../../serv_'.$v['serv_cod'].'/usr/" class="btn btn-service btn-lg btn-block">'.$v['serv_name'].'</a></div>';
			}
            echo '<div class="row">'.$row.'</div>';
          
			//riepilogo iscrizioni
			$result = $mysqli->query("
			SELECT 
			CONCAT_WS(' ',anagr_nome, anagr_cognome) AS anagr, 
			servizi_anagr.serv_id,
			servizi_anagr.anagr_id
			
			FROM anagrafiche
			LEFT JOIN servizi_anagr ON anagrafiche.anagr_id = servizi_anagr.anagr_id
			WHERE 
			servizi_anagr.serv_id IN (". implode(",",$s).") AND 
			anagrafiche.user_id = ".$_SESSION['user']['id']." AND anagrafiche.anno = ".$_SESSION['user']['ente_anno']."
			ORDER BY anagr
			");
			if($result->num_rows > 0){
				while($row = $result->fetch_assoc())
					$riep[$row['serv_id']][$row['anagr_id']] = $row['anagr'];
					
				foreach($ente_servizi as $serv_id => $v){
					if($riep[$serv_id]){
						$riepilogo .=  '
						<a href="javascript:;" class="list-group-item disabled serv-list">
							<span class="caret"></span> <span class="m-left-10">Servizio '.$v['serv_name'].'</span>
						</a>';
						foreach($riep[$serv_id] as $anagr_id => $anagr_name)
							$riepilogo .= '
							<a href="../../serv_'.$v['serv_cod'].'/usr/?id='.$anagr_id.'" class="list-group-item hidden">
								<span class="media">
									<span class="glyphicon glyphicon-ok pull-left text-success"></span>
									<span class="media-body">
										<span class="text-success">'.$anagr_name.'</span>
										<span class="glyphicon glyphicon-chevron-right pull-right"></span>
									</span>
								</span>
							</a>';
					}
				}
			
				$iscrizioni = '<div class="list-group list-riepilogo">'.$riepilogo.'</div>';
			
			}else{
				$iscrizioni = '<div class="alert alert-warning">Al momento non hai alcuna iscrizione attiva</div>';
			}
			
			echo '<br><h4 class="text-center">Le tue iscrizioni attive</h4><br>'.$iscrizioni;

        }else{
            printMsg("Al momento non &egrave; disponibile alcun servizio","warning",false);
        }
        ?>
		<br>
        <div class="text-center">
        <a href="http://www.comune.verrone.bi.it/modulistica/segreteria/carta_dei_servizi_scolastici/" target="_blank">Carta dei Servizi Scolastici</a>
        </div>
        <br>
        </div>
    </div>
</div>
<script>
$(function(){
	$('.serv-list').click(function(e) {
		$(this).nextUntil('.serv-list').toggleClass('hidden');
    });
});
</script>
<?php
$p->printFooter();
?>